import xhiveframework


def execute():
	xhiveframework.reload_doc("stock", "doctype", "shipment")

	# update submitted status
	xhiveframework.db.sql(
		"""UPDATE `tabShipment`
					SET status = "Submitted"
					WHERE status = "Draft" AND docstatus = 1"""
	)

	# update cancelled status
	xhiveframework.db.sql(
		"""UPDATE `tabShipment`
					SET status = "Cancelled"
					WHERE status = "Draft" AND docstatus = 2"""
	)
